using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TargetController.Common;
using VirtuosoComponentLibrary;
using CuriosityBoardLibrary;

namespace Hardware_Timer_Host
{
	public class Hardware_Timer_TargetViewModel : Hardware_Timer_TargetModel
	{
		public Hardware_Timer_TargetViewModel()
		{
			InitializeComponents();
		}

		public Hardware_Timer_TargetViewModel (ITargetHostingConfiguration TargetConfiguration) : base(TargetConfiguration)
		{
			InitializeComponents();
		}

		private void InitializeComponents()
		{
			// Add component(s) here....
			_PowerButton = new PowerButtonViewModel(this, "VirtualDeviceIsPowered", LEDTileImage.Tile1, PowerButtonColor.Blue);

            // Initialize the LED control view model to display the LED
            // This LED control view model will bind to the 'SIM_LEDState' model property we created which
            // binds to the SIM_LEDState variable in the target

		}
		private PowerButtonViewModel _PowerButton;
		public PowerButtonViewModel PowerButton
		{
			get
			{
				return _PowerButton;
			}
		}

        // Add LED control view model to target view model

	}
}
